DELETE
/
v2
/
ai
/
connectors
/
{connector_id}
/
key
Remove an AI connector key
curl --request DELETE \
  --url https://api-v2.watchcollect.com/v2/ai/connectors/{connector_id}/key \
  --header 'Authorization: Bearer <token>'
{
  "status": "accepted",
  "event_ids": [
    "018f06e2-4f8d-7c01-8a0d-cc6fd78f7002"
  ],
  "request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

connector_id
enum<string>
required
Available options:
openai,
anthropic,
gemini,
openrouter,
openai_compatible

Response

Key removal event accepted.

status
enum<string>
required
Available options:
accepted,
duplicate_accepted,
rejected,
conflict,
noop
event_ids
string<uuid>[]
required
request_id
string
required
resource_id
string | null